VirtualBox

Ticket #2342 (closed defect: fixed)

Opened 6 years ago

Last modified 5 years ago

FreeBSD 7.0-RELEASE incorrect memory amount reported => Fixed in SVN

Reported by: fzzzt Owned by:
Priority: major Component: VMM/RAW
Version: VirtualBox 2.0.2 Keywords:
Cc: Guest type: BSD
Host type: Windows

Description

At first I thought ACPI was the culprit, but it turns out resetting the VM and starting it from the GUI give different RAM amount results:

VB ACPIFreeBSD ACPIStartupRAM
offoffStart2 GB
offonStart2 GB
onoffStart2 GB
ononStart2 GB
offoffReset50 MB
offonReset50 MB
onoffReset50 MB
ononReset50 MB

Change History

comment:1 Changed 6 years ago by frank

Please could you describe the problem a little bit more verbose? How do you check the reported memory?

comment:2 Changed 5 years ago by extremulus

I have this same situation on Mac OSX with FreeBSD 7. It currently is reporting 50MB RAM, even though I allocated 1G RAM. Here is a log snippet:

kernel: real memory = 68153344 (64 MB) avail memory = 52686848 (50 MB)

But my log file for Vbox shows:


00:00:01.241   RamSize                <integer> = 0x0000000040000000 (1073741824)

See full log below:

00:00:00.914 VirtualBox 2.0.4 r38406 darwin.x86 (Oct 23 2008 23:00:17) release log
00:00:00.914 Log opened 2008-11-03T00:50:48.107837000Z
00:00:00.914 OS Product: Darwin
00:00:00.914 OS Release: 9.5.0
00:00:00.914 OS Version: Darwin Kernel Version 9.5.0: Wed Sep  3 11:29:43 PDT 2008; root:xnu-1228.7.58~1/RELEASE_I386
00:00:00.914 Package type: DARWIN_32BITS_GENERIC
00:00:00.943 VRDP: TCP server listening on port 3389.
00:00:00.949 SUP: Loaded VMMR0.r0 (/Applications/VirtualBox.app/Contents/MacOS/VMMR0.r0) at 0x354c9060 - ModuleInit at 354d57c0 and ModuleTerm at 354d5810
00:00:00.949 SUP: VMMR0EntryEx located at 354d65a0, VMMR0EntryFast at 354d5b30 and VMMR0EntryInt at 354d58b0
00:00:01.094 VBoxSharedClipboard mode: Bidirectional
00:00:01.240 ************************* CFGM dump *************************
00:00:01.240 pRoot=001ace20:{/}
00:00:01.240 [/] (level 0)
00:00:01.240   Name               <string>  = "Quarmire-2" (cch=11)
00:00:01.240   UUID               <bytes>   = "65 95 ad 0d 78 be fc 43 a3 6b b2 81 2e a1 02 60" (cb=16)
00:00:01.240   RamSize            <integer> = 0x0000000040000000 (1073741824)
00:00:01.240   TimerMillies       <integer> = 0x000000000000000a (10)
00:00:01.240   RawR3Enabled       <integer> = 0x0000000000000001 (1)
00:00:01.240   RawR0Enabled       <integer> = 0x0000000000000001 (1)
00:00:01.240   PATMEnabled        <integer> = 0x0000000000000001 (1)
00:00:01.240   CSAMEnabled        <integer> = 0x0000000000000001 (1)
00:00:01.240   EnableNestedPaging <integer> = 0x0000000000000000 (0)
00:00:01.240   EnablePAE          <integer> = 0x0000000000000001 (1)
00:00:01.240 
00:00:01.240 [/PDM/] (level 1)
00:00:01.240 
00:00:01.240 [/PDM/Drivers/] (level 2)
00:00:01.240 
00:00:01.240 [/PDM/Drivers/VBoxC/] (level 3)
00:00:01.240   Path <string>  = "/Applications/VirtualBox.app/Contents/MacOS/components/VBoxC" (cch=61)
00:00:01.240 
00:00:01.240 [/Devices/] (level 1)
00:00:01.240 
00:00:01.240 [/Devices/pcarch/] (level 2)
00:00:01.240 
00:00:01.240 [/Devices/pcarch/0/] (level 3)
00:00:01.241   Trusted <integer> = 0x0000000000000001 (1)
00:00:01.241 
00:00:01.241 [/Devices/pcarch/0/Config/] (level 4)
00:00:01.241 
00:00:01.241 [/Devices/pcbios/] (level 2)
00:00:01.241 
00:00:01.241 [/Devices/pcbios/0/] (level 3)
00:00:01.241   Trusted <integer> = 0x0000000000000001 (1)
00:00:01.241 
00:00:01.241 [/Devices/pcbios/0/Config/] (level 4)
00:00:01.241   RamSize                <integer> = 0x0000000040000000 (1073741824)
00:00:01.241   HardDiskDevice         <string>  = "piix3ide" (cch=9)
00:00:01.241   FloppyDevice           <string>  = "i82078" (cch=7)
00:00:01.241   IOAPIC                 <integer> = 0x0000000000000000 (0)
00:00:01.241   PXEDebug               <integer> = 0x0000000000000000 (0)
00:00:01.241   UUID                   <bytes>   = "65 95 ad 0d 78 be fc 43 a3 6b b2 81 2e a1 02 60" (cb=16)
00:00:01.241   BootDevice0            <string>  = "DVD" (cch=4)
00:00:01.241   BootDevice1            <string>  = "IDE" (cch=4)
00:00:01.241   BootDevice2            <string>  = "NONE" (cch=5)
00:00:01.241   BootDevice3            <string>  = "NONE" (cch=5)
00:00:01.241   SataHardDiskDevice     <string>  = "ahci" (cch=5)
00:00:01.241   SataPrimaryMasterLUN   <integer> = 0x0000000000000000 (0)
00:00:01.241   SataPrimarySlaveLUN    <integer> = 0x0000000000000001 (1)
00:00:01.241   SataSecondaryMasterLUN <integer> = 0x0000000000000002 (2)
00:00:01.241   SataSecondarySlaveLUN  <integer> = 0x0000000000000003 (3)
00:00:01.241 
00:00:01.241 [/Devices/8237A/] (level 2)
00:00:01.241 
00:00:01.241 [/Devices/8237A/0/] (level 3)
00:00:01.241   Trusted <integer> = 0x0000000000000001 (1)
00:00:01.241 
00:00:01.241 [/Devices/pci/] (level 2)
00:00:01.241 
00:00:01.241 [/Devices/pci/0/] (level 3)
00:00:01.241   Trusted <integer> = 0x0000000000000001 (1)
00:00:01.241 
00:00:01.241 [/Devices/pci/0/Config/] (level 4)
00:00:01.241   IOAPIC <integer> = 0x0000000000000000 (0)
00:00:01.241 
00:00:01.241 [/Devices/pckbd/] (level 2)
00:00:01.241 
00:00:01.241 [/Devices/pckbd/0/] (level 3)
00:00:01.241   Trusted <integer> = 0x0000000000000001 (1)
00:00:01.241 
00:00:01.241 [/Devices/pckbd/0/Config/] (level 4)
00:00:01.241 
00:00:01.241 [/Devices/pckbd/0/LUN#0/] (level 4)
00:00:01.241   Driver <string>  = "KeyboardQueue" (cch=14)
00:00:01.241 
00:00:01.241 [/Devices/pckbd/0/LUN#0/Config/] (level 5)
00:00:01.241   QueueSize <integer> = 0x0000000000000040 (64)
00:00:01.241 
00:00:01.241 [/Devices/pckbd/0/LUN#0/AttachedDriver/] (level 5)
00:00:01.241   Driver <string>  = "MainKeyboard" (cch=13)
00:00:01.241 
00:00:01.241 [/Devices/pckbd/0/LUN#0/AttachedDriver/Config/] (level 6)
00:00:01.241   Object <integer> = 0x00000000001734a0 (1520800)
00:00:01.242 
00:00:01.242 [/Devices/pckbd/0/LUN#1/] (level 4)
00:00:01.242   Driver <string>  = "MouseQueue" (cch=11)
00:00:01.242 
00:00:01.242 [/Devices/pckbd/0/LUN#1/Config/] (level 5)
00:00:01.242   QueueSize <integer> = 0x0000000000000080 (128)
00:00:01.242 
00:00:01.242 [/Devices/pckbd/0/LUN#1/AttachedDriver/] (level 5)
00:00:01.242   Driver <string>  = "MainMouse" (cch=10)
00:00:01.242 
00:00:01.242 [/Devices/pckbd/0/LUN#1/AttachedDriver/Config/] (level 6)
00:00:01.242   Object <integer> = 0x00000000001736a0 (1521312)
00:00:01.242 
00:00:01.242 [/Devices/i82078/] (level 2)
00:00:01.242 
00:00:01.242 [/Devices/i82078/0/] (level 3)
00:00:01.242   Trusted <integer> = 0x0000000000000001 (1)
00:00:01.242 
00:00:01.242 [/Devices/i82078/0/Config/] (level 4)
00:00:01.242   IRQ       <integer> = 0x0000000000000006 (6)
00:00:01.242   DMA       <integer> = 0x0000000000000002 (2)
00:00:01.242   MemMapped <integer> = 0x0000000000000000 (0)
00:00:01.242   IOBase    <integer> = 0x00000000000003f0 (1008)
00:00:01.242 
00:00:01.242 [/Devices/i82078/0/LUN#999/] (level 4)
00:00:01.242   Driver <string>  = "MainStatus" (cch=11)
00:00:01.242 
00:00:01.242 [/Devices/i82078/0/LUN#999/Config/] (level 5)
00:00:01.242   papLeds <integer> = 0x000000000088bf84 (8961924)
00:00:01.242   First   <integer> = 0x0000000000000000 (0)
00:00:01.242   Last    <integer> = 0x0000000000000000 (0)
00:00:01.242 
00:00:01.242 [/Devices/i82078/0/LUN#0/] (level 4)
00:00:01.242   Driver <string>  = "Block" (cch=6)
00:00:01.242 
00:00:01.242 [/Devices/i82078/0/LUN#0/Config/] (level 5)
00:00:01.242   Type      <string>  = "Floppy 1.44" (cch=12)
00:00:01.242   Mountable <integer> = 0x0000000000000001 (1)
00:00:01.242 
00:00:01.242 [/Devices/acpi/] (level 2)
00:00:01.242 
00:00:01.242 [/Devices/acpi/0/] (level 3)
00:00:01.242   Trusted       <integer> = 0x0000000000000001 (1)
00:00:01.242   PCIDeviceNo   <integer> = 0x0000000000000007 (7)
00:00:01.242   PCIFunctionNo <integer> = 0x0000000000000000 (0)
00:00:01.242 
00:00:01.242 [/Devices/acpi/0/Config/] (level 4)
00:00:01.242   RamSize    <integer> = 0x0000000040000000 (1073741824)
00:00:01.242   IOAPIC     <integer> = 0x0000000000000000 (0)
00:00:01.242   FdcEnabled <integer> = 0x0000000000000001 (1)
00:00:01.242 
00:00:01.242 [/Devices/acpi/0/LUN#0/] (level 4)
00:00:01.242   Driver <string>  = "ACPIHost" (cch=9)
00:00:01.242 
00:00:01.242 [/Devices/acpi/0/LUN#0/Config/] (level 5)
00:00:01.242 
00:00:01.242 [/Devices/i8254/] (level 2)
00:00:01.242 
00:00:01.242 [/Devices/i8254/0/] (level 3)
00:00:01.243 
00:00:01.243 [/Devices/i8254/0/Config/] (level 4)
00:00:01.243 
00:00:01.243 [/Devices/i8259/] (level 2)
00:00:01.243 
00:00:01.243 [/Devices/i8259/0/] (level 3)
00:00:01.243   Trusted <integer> = 0x0000000000000001 (1)
00:00:01.243 
00:00:01.243 [/Devices/i8259/0/Config/] (level 4)
00:00:01.243 
00:00:01.243 [/Devices/apic/] (level 2)
00:00:01.243 
00:00:01.243 [/Devices/apic/0/] (level 3)
00:00:01.243   Trusted <integer> = 0x0000000000000001 (1)
00:00:01.243 
00:00:01.243 [/Devices/apic/0/Config/] (level 4)
00:00:01.243   IOAPIC <integer> = 0x0000000000000000 (0)
00:00:01.243 
00:00:01.243 [/Devices/mc146818/] (level 2)
00:00:01.243 
00:00:01.243 [/Devices/mc146818/0/] (level 3)
00:00:01.243 
00:00:01.243 [/Devices/mc146818/0/Config/] (level 4)
00:00:01.243 
00:00:01.243 [/Devices/vga/] (level 2)
00:00:01.243 
00:00:01.243 [/Devices/vga/0/] (level 3)
00:00:01.243   Trusted       <integer> = 0x0000000000000001 (1)
00:00:01.243   PCIDeviceNo   <integer> = 0x0000000000000002 (2)
00:00:01.243   PCIFunctionNo <integer> = 0x0000000000000000 (0)
00:00:01.243 
00:00:01.243 [/Devices/vga/0/Config/] (level 4)
00:00:01.243   VRamSize         <integer> = 0x0000000000800000 (8388608)
00:00:01.243   FadeIn           <integer> = 0x0000000000000001 (1)
00:00:01.243   FadeOut          <integer> = 0x0000000000000001 (1)
00:00:01.243   LogoTime         <integer> = 0x0000000000000000 (0)
00:00:01.243   LogoFile         <string>  = "" (cch=1)
00:00:01.243   ShowBootMenu     <integer> = 0x0000000000000002 (2)
00:00:01.243   CustomVideoModes <integer> = 0x0000000000000000 (0)
00:00:01.243   HeightReduction  <integer> = 0x0000000000000000 (0)
00:00:01.243 
00:00:01.243 [/Devices/vga/0/LUN#0/] (level 4)
00:00:01.243   Driver <string>  = "MainDisplay" (cch=12)
00:00:01.243 
00:00:01.243 [/Devices/vga/0/LUN#0/Config/] (level 5)
00:00:01.243   Object <integer> = 0x000000000088c200 (8962560)
00:00:01.243 
00:00:01.243 [/Devices/piix3ide/] (level 2)
00:00:01.243 
00:00:01.243 [/Devices/piix3ide/0/] (level 3)
00:00:01.243   Trusted       <integer> = 0x0000000000000001 (1)
00:00:01.243   PCIDeviceNo   <integer> = 0x0000000000000001 (1)
00:00:01.243   PCIFunctionNo <integer> = 0x0000000000000001 (1)
00:00:01.243 
00:00:01.243 [/Devices/piix3ide/0/Config/] (level 4)
00:00:01.243   PIIX4 <integer> = 0x0000000000000001 (1)
00:00:01.243 
00:00:01.243 [/Devices/piix3ide/0/LUN#999/] (level 4)
00:00:01.243   Driver <string>  = "MainStatus" (cch=11)
00:00:01.243 
00:00:01.244 [/Devices/piix3ide/0/LUN#999/Config/] (level 5)
00:00:01.244   papLeds <integer> = 0x000000000088bf8c (8961932)
00:00:01.244   First   <integer> = 0x0000000000000000 (0)
00:00:01.244   Last    <integer> = 0x0000000000000003 (3)
00:00:01.244 
00:00:01.244 [/Devices/piix3ide/0/LUN#2/] (level 4)
00:00:01.244   Driver <string>  = "Block" (cch=6)
00:00:01.244 
00:00:01.244 [/Devices/piix3ide/0/LUN#2/Config/] (level 5)
00:00:01.244   Type      <string>  = "DVD" (cch=4)
00:00:01.244   Mountable <integer> = 0x0000000000000001 (1)
00:00:01.244 
00:00:01.244 [/Devices/ahci/] (level 2)
00:00:01.244 
00:00:01.244 [/Devices/ahci/0/] (level 3)
00:00:01.244   Trusted       <integer> = 0x0000000000000001 (1)
00:00:01.244   PCIDeviceNo   <integer> = 0x000000000000000d (13)
00:00:01.244   PCIFunctionNo <integer> = 0x0000000000000000 (0)
00:00:01.244 
00:00:01.244 [/Devices/ahci/0/Config/] (level 4)
00:00:01.244   PortCount       <integer> = 0x0000000000000001 (1)
00:00:01.244   PrimaryMaster   <integer> = 0x0000000000000000 (0)
00:00:01.244   PrimarySlave    <integer> = 0x0000000000000001 (1)
00:00:01.244   SecondaryMaster <integer> = 0x0000000000000002 (2)
00:00:01.244   SecondarySlave  <integer> = 0x0000000000000003 (3)
00:00:01.244 
00:00:01.244 [/Devices/ahci/0/LUN#999/] (level 4)
00:00:01.244   Driver <string>  = "MainStatus" (cch=11)
00:00:01.244 
00:00:01.244 [/Devices/ahci/0/LUN#999/Config/] (level 5)
00:00:01.244   papLeds <integer> = 0x000000000088bf9c (8961948)
00:00:01.244   First   <integer> = 0x0000000000000000 (0)
00:00:01.244   Last    <integer> = 0x0000000000000000 (0)
00:00:01.244 
00:00:01.244 [/Devices/ahci/0/LUN#0/] (level 4)
00:00:01.244   Driver <string>  = "Block" (cch=6)
00:00:01.244 
00:00:01.244 [/Devices/ahci/0/LUN#0/Config/] (level 5)
00:00:01.244   Type      <string>  = "HardDisk" (cch=9)
00:00:01.244   Mountable <integer> = 0x0000000000000000 (0)
00:00:01.244 
00:00:01.244 [/Devices/ahci/0/LUN#0/AttachedDriver/] (level 5)
00:00:01.244   Driver <string>  = "VBoxHDD" (cch=8)
00:00:01.244 
00:00:01.244 [/Devices/ahci/0/LUN#0/AttachedDriver/Config/] (level 6)
00:00:01.244   Path <string>  = "/Users/chetwisniewski/Library/VirtualBox/VDI/Quag2.vdi" (cch=55)
00:00:01.244 
00:00:01.244 [/Devices/pcnet/] (level 2)
00:00:01.244 
00:00:01.244 [/Devices/e1000/] (level 2)
00:00:01.244 
00:00:01.244 [/Devices/e1000/0/] (level 3)
00:00:01.244   Trusted       <integer> = 0x0000000000000001 (1)
00:00:01.244   PCIDeviceNo   <integer> = 0x0000000000000003 (3)
00:00:01.244   PCIFunctionNo <integer> = 0x0000000000000000 (0)
00:00:01.244 
00:00:01.244 [/Devices/e1000/0/Config/] (level 4)
00:00:01.244   AdapterType    <integer> = 0x0000000000000001 (1)
00:00:01.244   MAC            <bytes>   = "08 00 27 3d 7f 48" (cb=6)
00:00:01.244   CableConnected <integer> = 0x0000000000000001 (1)
00:00:01.244   LineSpeed      <integer> = 0x0000000000000000 (0)
00:00:01.245 
00:00:01.245 [/Devices/e1000/0/LUN#999/] (level 4)
00:00:01.245   Driver <string>  = "MainStatus" (cch=11)
00:00:01.245 
00:00:01.245 [/Devices/e1000/0/LUN#999/Config/] (level 5)
00:00:01.245   papLeds <integer> = 0x000000000088c014 (8962068)
00:00:01.245 
00:00:01.245 [/Devices/e1000/0/LUN#0/] (level 4)
00:00:01.245   Driver <string>  = "IntNet" (cch=7)
00:00:01.245 
00:00:01.245 [/Devices/e1000/0/LUN#0/Config/] (level 5)
00:00:01.245   Trunk     <string>  = "en0" (cch=4)
00:00:01.245   TrunkType <integer> = 0x0000000000000003 (3)
00:00:01.245   Network   <string>  = "HostInterfaceNetworking-en0: Ethernet
00:00:01.245 " (cch=39)
00:00:01.245 
00:00:01.245 [/Devices/serial/] (level 2)
00:00:01.245 
00:00:01.245 [/Devices/parallel/] (level 2)
00:00:01.245 
00:00:01.245 [/Devices/VMMDev/] (level 2)
00:00:01.245 
00:00:01.245 [/Devices/VMMDev/0/] (level 3)
00:00:01.245   Trusted       <integer> = 0x0000000000000001 (1)
00:00:01.245   PCIDeviceNo   <integer> = 0x0000000000000004 (4)
00:00:01.245   PCIFunctionNo <integer> = 0x0000000000000000 (0)
00:00:01.245 
00:00:01.245 [/Devices/VMMDev/0/Config/] (level 4)
00:00:01.245 
00:00:01.245 [/Devices/VMMDev/0/LUN#0/] (level 4)
00:00:01.245   Driver <string>  = "MainVMMDev" (cch=11)
00:00:01.245 
00:00:01.245 [/Devices/VMMDev/0/LUN#0/Config/] (level 5)
00:00:01.245   Object <integer> = 0x0000000000173480 (1520768)
00:00:01.245 
00:00:01.245 [/Devices/VMMDev/0/LUN#999/] (level 4)
00:00:01.245   Driver <string>  = "MainStatus" (cch=11)
00:00:01.245 
00:00:01.245 [/Devices/VMMDev/0/LUN#999/Config/] (level 5)
00:00:01.245   papLeds <integer> = 0x000000000088c034 (8962100)
00:00:01.245   First   <integer> = 0x0000000000000000 (0)
00:00:01.245   Last    <integer> = 0x0000000000000000 (0)
00:00:01.245 
00:00:01.245 [/Devices/AudioSniffer/] (level 2)
00:00:01.245 
00:00:01.245 [/Devices/AudioSniffer/0/] (level 3)
00:00:01.245 
00:00:01.245 [/Devices/AudioSniffer/0/Config/] (level 4)
00:00:01.245 
00:00:01.245 [/Devices/AudioSniffer/0/LUN#0/] (level 4)
00:00:01.245   Driver <string>  = "MainAudioSniffer" (cch=17)
00:00:01.245 
00:00:01.245 [/Devices/AudioSniffer/0/LUN#0/Config/] (level 5)
00:00:01.245   Object <integer> = 0x0000000000173fe0 (1523680)
00:00:01.245 
00:00:01.245 [/TM/] (level 1)
00:00:01.245   UTCOffset <integer> = 0x0000000000000000 (0)
00:00:01.245 
00:00:01.245 [/GuestProps/] (level 1)
00:00:01.245 
00:00:01.246 [/GuestProps/Values/] (level 2)
00:00:01.246   /VirtualBox/HostInfo/GUI/LanguageID <string>  = "C" (cch=2)
00:00:01.246 
00:00:01.246 [/GuestProps/Timestamps/] (level 2)
00:00:01.246   /VirtualBox/HostInfo/GUI/LanguageID <integer> = 0x11027781c5ada008 (1225673447849173000)
00:00:01.246 
00:00:01.246 [/GuestProps/Flags/] (level 2)
00:00:01.246   /VirtualBox/HostInfo/GUI/LanguageID <string>  = "" (cch=1)
00:00:01.246 
00:00:01.246 ********************* End of CFGM dump **********************
00:00:01.250 CPUMSetGuestCpuIdFeature: Enabled PAE
00:00:01.250 Logical host processors: 2, processor active mask: 0000000000000003
00:00:01.250 ************************* CPUID dump ************************
00:00:01.250          RAW Standard CPUIDs
00:00:01.250      Function  eax      ebx      ecx      edx
00:00:01.250 Gst: 00000000  00000002 756e6547 6c65746e 49656e69
00:00:01.250 Hst:           0000000a 756e6547 6c65746e 49656e69
00:00:01.250 Gst: 00000001  000006f2 00000800 00000008 078bf1ff
00:00:01.250 Hst:           000006f2 00020800 0000e3bd bfebfbff
00:00:01.250 Gst: 00000002  05b0b101 005657f0 00000000 2cb4307d
00:00:01.250 Hst:           05b0b101 005657f0 00000000 2cb4307d
00:00:01.250 Gst: 00000003  07280202 00000000 00000000 00000000*
00:00:01.250 Hst:           00000000 00000000 00000000 00000000
00:00:01.250 Gst: 00000004  00000000 00000000 00000000 00000000*
00:00:01.250 Hst:           04000121 01c0003f 0000003f 00000001
00:00:01.250 Gst: 00000005  07280202 00000000 00000000 00000000*
00:00:01.250 Hst:           00000040 00000040 00000003 00022220
00:00:01.250 Name:                            GenuineIntel
00:00:01.250 Supports:                        0-2
00:00:01.250 Family:                          6   Extended: 0 Effective: 6
00:00:01.250 Model:                           15   Extended: 0 Effective: 15
00:00:01.250 Stepping:                        2
00:00:01.250 APIC ID:                         0x00
00:00:01.250 Logical CPUs:                    0
00:00:01.250 CLFLUSH Size:                    8
00:00:01.250 Brand ID:                        0x00
00:00:01.250 Mnemonic - Description                 = guest (host)
00:00:01.250 FPU - x87 FPU on Chip                  = 1 (1)
00:00:01.250 VME - Virtual 8086 Mode Enhancements   = 1 (1)
00:00:01.250 DE - Debugging extensions              = 1 (1)
00:00:01.250 PSE - Page Size Extension              = 1 (1)
00:00:01.250 TSC - Time Stamp Counter               = 1 (1)
00:00:01.250 MSR - Model Specific Registers         = 1 (1)
00:00:01.250 PAE - Physical Address Extension       = 1 (1)
00:00:01.250 MCE - Machine Check Exception          = 1 (1)
00:00:01.250 CX8 - CMPXCHG8B instruction            = 1 (1)
00:00:01.250 APIC - APIC On-Chip                    = 0 (1)
00:00:01.250 Reserved                               = 0 (0)
00:00:01.250 SEP - SYSENTER and SYSEXIT             = 0 (1)
00:00:01.250 MTRR - Memory Type Range Registers     = 1 (1)
00:00:01.250 PGE - PTE Global Bit                   = 1 (1)
00:00:01.250 MCA - Machine Check Architecture       = 1 (1)
00:00:01.250 CMOV - Conditional Move Instructions   = 1 (1)
00:00:01.250 PAT - Page Attribute Table             = 1 (1)
00:00:01.250 PSE-36 - 36-bit Page Size Extention    = 1 (1)
00:00:01.250 PSN - Processor Serial Number          = 0 (0)
00:00:01.250 CLFSH - CLFLUSH Instruction.           = 1 (1)
00:00:01.250 Reserved                               = 0 (0)
00:00:01.250 DS - Debug Store                       = 0 (1)
00:00:01.250 ACPI - Thermal Mon. & Soft. Clock Ctrl.= 0 (1)
00:00:01.250 MMX - Intel MMX Technology             = 1 (1)
00:00:01.250 FXSR - FXSAVE and FXRSTOR Instructions = 1 (1)
00:00:01.250 SSE - SSE Support                      = 1 (1)
00:00:01.250 SSE2 - SSE2 Support                    = 1 (1)
00:00:01.250 SS - Self Snoop                        = 0 (1)
00:00:01.250 HTT - Hyper-Threading Technolog        = 0 (1)
00:00:01.250 TM - Thermal Monitor                   = 0 (1)
00:00:01.250 30 - Reserved                          = 0 (0)
00:00:01.250 PBE - Pending Break Enable             = 0 (1)
00:00:01.250 Supports SSE3 or not                   = 0 (1)
00:00:01.250 Reserved                               = 0 (2)
00:00:01.250 Supports MONITOR/MWAIT                 = 1 (1)
00:00:01.250 CPL-DS - CPL Qualified Debug Store     = 0 (1)
00:00:01.250 VMX - Virtual Machine Technology       = 0 (1)
00:00:01.250 Reserved                               = 0 (0)
00:00:01.250 Enhanced SpeedStep Technology          = 0 (1)
00:00:01.250 Terminal Monitor 2                     = 0 (1)
00:00:01.250 Supports Supplemental SSE3 or not      = 0 (1)
00:00:01.250 L1 Context ID                          = 0 (0)
00:00:01.250 Reserved                               = 0x0 (0x0)
00:00:01.250 CMPXCHG16B                             = 0 (1)
00:00:01.250 xTPR Update Control                    = 0 (1)
00:00:01.250 Reserved                               = 0x0 (0x1)
00:00:01.250 
00:00:01.250          RAW Extended CPUIDs
00:00:01.250      Function  eax      ebx      ecx      edx
00:00:01.250 Gst: 80000000  80000008 00000000 00000000 00000000
00:00:01.250 Hst:           80000008 00000000 00000000 00000000
00:00:01.250 Gst: 80000001  00000000 00000000 00000000 00000000
00:00:01.250 Hst:           00000000 00000000 00000001 20100000
00:00:01.250 Gst: 80000002  65746e49 2952286c 726f4320 4d542865
00:00:01.250 Hst:           65746e49 2952286c 726f4320 4d542865
00:00:01.250 Gst: 80000003  43203229 20205550 20202020 54202020
00:00:01.250 Hst:           43203229 20205550 20202020 54202020
00:00:01.250 Gst: 80000004  30303635 20402020 33382e31 007a4847
00:00:01.250 Hst:           30303635 20402020 33382e31 007a4847
00:00:01.250 Gst: 80000005  00000000 00000000 00000000 00000000
00:00:01.250 Hst:           00000000 00000000 00000000 00000000
00:00:01.250 Gst: 80000006  00000000 00000000 08006040 00000000
00:00:01.250 Hst:           00000000 00000000 08006040 00000000
00:00:01.250 Gst: 80000007  00000000 00000000 00000000 00000000
00:00:01.250 Hst:           00000000 00000000 00000000 00000000
00:00:01.250 Gst: 80000008  00003024 00000000 00000000 00000000
00:00:01.250 Hst:           00003024 00000000 00000000 00000000
00:00:01.250 Gst: 80000009  07280202 00000000 00000000 00000000*
00:00:01.250 Hst:           07280202 00000000 00000000 00000000
00:00:01.250 Ext Name:                        
00:00:01.250 Ext Supports:                    0x80000000-0x80000008
00:00:01.251 Family:                          0   Extended: 0 Effective: 0
00:00:01.251 Model:                           0   Extended: 0 Effective: 0
00:00:01.251 Stepping:                        0
00:00:01.251 Brand ID:                        0x000
00:00:01.251 Mnemonic - Description                 = guest (host)
00:00:01.251 FPU - x87 FPU on Chip                  = 0 (0)
00:00:01.251 VME - Virtual 8086 Mode Enhancements   = 0 (0)
00:00:01.251 DE - Debugging extensions              = 0 (0)
00:00:01.251 PSE - Page Size Extension              = 0 (0)
00:00:01.251 TSC - Time Stamp Counter               = 0 (0)
00:00:01.251 MSR - K86 Model Specific Registers     = 0 (0)
00:00:01.251 PAE - Physical Address Extension       = 0 (0)
00:00:01.251 MCE - Machine Check Exception          = 0 (0)
00:00:01.251 CX8 - CMPXCHG8B instruction            = 0 (0)
00:00:01.251 APIC - APIC On-Chip                    = 0 (0)
00:00:01.251 10 - Reserved                          = 0 (0)
00:00:01.251 SEP - SYSCALL and SYSRET               = 0 (0)
00:00:01.251 MTRR - Memory Type Range Registers     = 0 (0)
00:00:01.251 PGE - PTE Global Bit                   = 0 (0)
00:00:01.251 MCA - Machine Check Architecture       = 0 (0)
00:00:01.251 CMOV - Conditional Move Instructions   = 0 (0)
00:00:01.251 PAT - Page Attribute Table             = 0 (0)
00:00:01.251 PSE-36 - 36-bit Page Size Extention    = 0 (0)
00:00:01.251 18 - Reserved                          = 0 (0)
00:00:01.251 19 - Reserved                          = 0 (0)
00:00:01.251 NX - No-Execute Page Protection        = 0 (1)
00:00:01.251 DS - Debug Store                       = 0 (0)
00:00:01.251 AXMMX - AMD Extensions to MMX Instr.   = 0 (0)
00:00:01.251 MMX - Intel MMX Technology             = 0 (0)
00:00:01.251 FXSR - FXSAVE and FXRSTOR Instructions = 0 (0)
00:00:01.251 25 - AMD fast FXSAVE and FXRSTOR Instr.= 0 (0)
00:00:01.251 26 - 1 GB large page support           = 0 (0)
00:00:01.251 27 - RDTSCP instruction                = 0 (0)
00:00:01.251 28 - Reserved                          = 0 (0)
00:00:01.251 29 - AMD Long Mode                     = 0 (1)
00:00:01.251 30 - AMD Extensions to 3DNow           = 0 (0)
00:00:01.251 31 - AMD 3DNow                         = 0 (0)
00:00:01.251 LahfSahf - LAHF/SAHF in 64-bit mode    = 0 (1)
00:00:01.251 CmpLegacy - Core MP legacy mode (depr) = 0 (0)
00:00:01.251 SVM - AMD VM Extensions                = 0 (0)
00:00:01.251 APIC registers starting at 0x400       = 0 (0)
00:00:01.251 AltMovCR8 - LOCK MOV CR0 means MOV CR8 = 0 (0)
00:00:01.251 Advanced bit manipulation              = 0 (0)
00:00:01.251 SSE4A instruction support              = 0 (0)
00:00:01.251 Misaligned SSE mode                    = 0 (0)
00:00:01.251 PREFETCH and PREFETCHW instruction     = 0 (0)
00:00:01.251 OS visible workaround                  = 0 (0)
00:00:01.251 Instruction based sampling             = 0 (0)
00:00:01.251 SSE5 support                           = 0 (0)
00:00:01.251 SKINIT, STGI, and DEV support          = 0 (0)
00:00:01.251 Watchdog timer support.                = 0 (0)
00:00:01.251 31:14 - Reserved                       = 0x0 (0x0)
00:00:01.251 Full Name:                       Intel(R) Core(TM)2 CPU         T5600  @ 1.83GHz
00:00:01.251 TLB 2/4M Instr/Uni:              res0     0 entries
00:00:01.251 TLB 2/4M Data:                   res0     0 entries
00:00:01.251 TLB 4K Instr/Uni:                res0     0 entries
00:00:01.251 TLB 4K Data:                     res0     0 entries
00:00:01.251 L1 Instr Cache Line Size:        0 bytes
00:00:01.251 L1 Instr Cache Lines Per Tag:    0
00:00:01.251 L1 Instr Cache Associativity:    res0  
00:00:01.251 L1 Instr Cache Size:             0 KB
00:00:01.251 L1 Data Cache Line Size:         0 bytes
00:00:01.251 L1 Data Cache Lines Per Tag:     0
00:00:01.251 L1 Data Cache Associativity:     res0  
00:00:01.251 L1 Data Cache Size:              0 KB
00:00:01.251 L2 TLB 2/4M Instr/Uni:           off       0 entries
00:00:01.251 L2 TLB 2/4M Data:                off       0 entries
00:00:01.251 L2 TLB 4K Instr/Uni:             off       0 entries
00:00:01.251 L2 TLB 4K Data:                  off       0 entries
00:00:01.251 L2 Cache Line Size:              0 bytes
00:00:01.251 L2 Cache Lines Per Tag:          0
00:00:01.251 L2 Cache Associativity:          off   
00:00:01.251 L2 Cache Size:                   0 KB
00:00:01.251 APM Features:                   
00:00:01.251 Physical Address Width:          36 bits
00:00:01.251 Virtual Address Width:           48 bits
00:00:01.251 Physical Core Count:             0
00:00:01.251 
00:00:01.251          RAW Centaur CPUIDs
00:00:01.251      Function  eax      ebx      ecx      edx
00:00:01.251 Gst: c0000000  07280202 00000000 00000000 00000000
00:00:01.251 Hst:           07280202 00000000 00000000 00000000
00:00:01.251 Gst: c0000001  07280202 00000000 00000000 00000000
00:00:01.251 Hst:           07280202 00000000 00000000 00000000
00:00:01.251 Gst: c0000002  07280202 00000000 00000000 00000000
00:00:01.251 Hst:           07280202 00000000 00000000 00000000
00:00:01.251 Gst: c0000003  07280202 00000000 00000000 00000000
00:00:01.251 Hst:           07280202 00000000 00000000 00000000
00:00:01.251 Centaur Supports:                0xc0000000-0x07280202
00:00:01.251 Mnemonic - Description                 = guest (host)
00:00:01.251 AIS - Alternate Instruction Set        = 0 (0)
00:00:01.251 AIS-E - AIS enabled                    = 0 (0)
00:00:01.251 RNG - Random Number Generator          = 0 (0)
00:00:01.251 RNG-E - RNG enabled                    = 0 (0)
00:00:01.251 LH - LongHaul MSR 0000_110Ah           = 0 (0)
00:00:01.251 FEMMS - FEMMS                          = 0 (0)
00:00:01.251 ACE - Advanced Cryptography Engine     = 0 (0)
00:00:01.251 ACE-E - ACE enabled                    = 0 (0)
00:00:01.251 ACE2 - Advanced Cryptography Engine 2  = 0 (0)
00:00:01.251 ACE2-E - ACE enabled                   = 0 (0)
00:00:01.251 PHE - Hash Engine                      = 0 (0)
00:00:01.251 PHE-E - PHE enabled                    = 0 (0)
00:00:01.251 PMM - Montgomery Multiplier            = 0 (0)
00:00:01.251 PMM-E - PMM enabled                    = 0 (0)
00:00:01.251 
00:00:01.251 
00:00:01.251 ******************** End of CPUID dump **********************
00:00:01.310 TM: cTSCTicksPerSecond=0x6d8f54cc (1838109900) fTSCVirtualized=true  fTSCUseRealTSC=false fMaybeUseOffsettedHostTSC=true 
00:00:01.311 CoreCode: R3=214d8000 R0=2e4a9000 GC=a059c000 Phys=000000000333e000 cb=0x2000
00:00:01.342 SUP: Loaded VBoxDDR0.r0 (/Applications/VirtualBox.app/Contents/MacOS/VBoxDDR0.r0) at 0x23cdf060 - ModuleInit at 00000000 and ModuleTerm at 00000000
00:00:01.343 SUP: Loaded VBoxDD2R0.r0 (/Applications/VirtualBox.app/Contents/MacOS/VBoxDD2R0.r0) at 0x3d23060 - ModuleInit at 00000000 and ModuleTerm at 00000000
00:00:01.343 Activating Local APIC
00:00:01.343 CPUMSetGuestCpuIdFeature: Enabled APIC
00:00:01.343 PIT: mode=3 count=0x10000 (65536) - 18.20 Hz (ch=0)
00:00:01.357 Shared Folders service loaded.
00:00:01.385 PIIX3 ATA: LUN#0: no unit
00:00:01.385 PIIX3 ATA: LUN#1: no unit
00:00:01.385 PIIX3 ATA: LUN#2: CD/DVD, total number of sectors 0, passthrough disabled
00:00:01.385 PIIX3 ATA: LUN#3: no unit
00:00:01.385 PIIX3 ATA: Ctl#0: finished processing RESET
00:00:01.385 PIIX3 ATA: Ctl#1: finished processing RESET
00:00:01.386 AHCI: LUN#0: disk, PCHS=16383/16/63, total number of sectors 62914560
00:00:01.386 AHCI: LUN#0: using normal I/O
00:00:01.386 AHCI ATA: LUN#0: disk, PCHS=16383/16/63, total number of sectors 62914560
00:00:01.386 AHCI ATA: LUN#1: no unit
00:00:01.387 ATA: Ctl: finished processing RESET
00:00:01.387 AHCI ATA: LUN#0: no unit
00:00:01.387 AHCI ATA: LUN#1: no unit
00:00:01.387 ATA: Ctl: finished processing RESET
00:00:01.387 ATA: Ctl: finished processing RESET
00:00:01.387 ATA: Ctl: finished processing RESET
00:00:01.387 IntNet#0: szNetwork={HostInterfaceNetworking-en0: Ethernet
00:00:01.387 } enmTrunkType=3 szTrunk={en0} fFlags=0x0 cbRecv=223232 cbSend=36864
00:00:01.391 DevPcBios: SATA LUN#0 LCHS=1024/255/63
00:00:01.414 PGMR3InitFinalize: 4 MB PSE mask 0000000fffffffff
00:00:01.423 HWACCM: No VMX or SVM CPU extension found. Reason VINF_SUCCESS
00:00:01.423 HWACCM: VMX MSR_IA32_FEATURE_CONTROL=0
00:00:01.432 VM: Halt method global1 (5)
00:00:01.432 Changing the VM state from 'CREATING' to 'CREATED'.
00:00:01.432 Changing the VM state from 'CREATED' to 'RUNNING'.
00:00:01.446 Guest Log: BIOS: VirtualBox 2.0.4
00:00:01.447 PIT: mode=2 count=0x10000 (65536) - 18.20 Hz (ch=0)
00:00:01.470 PIIX3 ATA: Ctl#1: RESET, DevSel=0 AIOIf=0 CmdIf0=0x00 (-1 usec ago) CmdIf1=0x00 (-1 usec ago)
00:00:01.471 PIIX3 ATA: Ctl#1: finished processing RESET
00:00:01.472 ATA: Ctl: RESET, DevSel=0 AIOIf=0 CmdIf0=0x00 (-1 usec ago) CmdIf1=0x00 (-1 usec ago)
00:00:01.472 ATA: Ctl: finished processing RESET
00:00:01.473 Guest Log: BIOS: ata2-0: PCHS=16383/16/63 LCHS=1024/255/63
00:00:01.473 PIT: mode=2 count=0x48d3 (18643) - 64.00 Hz (ch=0)
00:00:01.481 Display::handleDisplayResize(): uScreenId = 0, pvVRAM=21f0c000 w=640 h=480 bpp=32 cbLine=0xA00
00:00:03.947 PIT: mode=2 count=0x10000 (65536) - 18.20 Hz (ch=0)
00:00:03.949 Guest Log: BIOS: CDROM boot failure code : 0003
00:00:03.949 Guest Log: BIOS: Boot from CD-ROM failed
00:00:03.950 Guest Log: BIOS: Booting from Hard Disk...
00:00:03.971 Display::handleDisplayResize(): uScreenId = 0, pvVRAM=00000000 w=720 h=400 bpp=0 cbLine=0x0
00:00:12.049 Guest Log: BIOS: int13_diskette: unsupported AH=41
00:00:30.584 Guest Log: BIOS: int13_harddisk: function 08, unmapped device for ELDL=81
00:00:30.584 Guest Log: BIOS: int13_harddisk: function 08, unmapped device for ELDL=82
00:00:30.584 Guest Log: BIOS: int13_harddisk: function 08, unmapped device for ELDL=83
00:00:30.585 Guest Log: BIOS: int13_harddisk: function 08, unmapped device for ELDL=84
00:00:30.585 Guest Log: BIOS: int13_harddisk: function 08, unmapped device for ELDL=85
00:00:30.585 Guest Log: BIOS: int13_harddisk: function 08, unmapped device for ELDL=86
00:00:30.585 Guest Log: BIOS: int13_harddisk: function 08, unmapped device for ELDL=87
00:00:30.618 PIT: mode=2 count=0x4a9 (1193) - 1000.15 Hz (ch=0)
00:00:43.669 PIIX3 ATA: Ctl#0: RESET, DevSel=0 AIOIf=0 CmdIf0=0x00 (-1 usec ago) CmdIf1=0x00 (-1 usec ago)
00:00:43.671 PIIX3 ATA: Ctl#0: finished processing RESET
00:00:43.705 PIIX3 ATA: Ctl#1: RESET, DevSel=0 AIOIf=0 CmdIf0=0xa0 (-1 usec ago) CmdIf1=0x00 (-1 usec ago)
00:00:43.707 PIIX3 ATA: Ctl#1: finished processing RESET
             RTC: period=0x100 (256) 128 Hz
00:00:45.226 PIIX3 ATA: LUN#2: performing device RESET
06:22:53.722 DarwinDisableGlobalHotKeys: Failed to change mode; enmNewMode=1 enmMode=0
06:22:53.803 DarwinDisableGlobalHotKeys: Failed to change mode; enmNewMode=1 enmMode=0
21:22:27.591 TM: Giving up catch-up attempt at a 60002530137 ns lag; new total: 60002530137 ns
21:24:01.910 TM: Giving up catch-up attempt at a 60001180016 ns lag; new total: 120003710153 ns
21:25:41.645 TM: Giving up catch-up attempt at a 60004394155 ns lag; new total: 180008104308 ns
21:27:26.236 TM: Giving up catch-up attempt at a 60005811445 ns lag; new total: 240013915753 ns
21:28:45.387 TM: Giving up catch-up attempt at a 60004862246 ns lag; new total: 300018777999 ns
21:30:05.871 TM: Giving up catch-up attempt at a 60004882269 ns lag; new total: 360023660268 ns
21:31:36.767 TM: Giving up catch-up attempt at a 60008688783 ns lag; new total: 420032349051 ns
21:32:55.695 TM: Giving up catch-up attempt at a 60003957848 ns lag; new total: 480036306899 ns
21:34:15.033 TM: Giving up catch-up attempt at a 60002988232 ns lag; new total: 540039295131 ns
21:35:32.657 TM: Giving up catch-up attempt at a 60008681552 ns lag; new total: 600047976683 ns
21:36:52.186 TM: Giving up catch-up attempt at a 60005296567 ns lag; new total: 660053273250 ns
21:38:12.881 TM: Giving up catch-up attempt at a 60002976510 ns lag; new total: 720056249760 ns
21:39:31.089 TM: Giving up catch-up attempt at a 60007713677 ns lag; new total: 780063963437 ns
21:40:50.971 TM: Giving up catch-up attempt at a 60004151355 ns lag; new total: 840068114792 ns
21:42:10.079 TM: Giving up catch-up attempt at a 60002869119 ns lag; new total: 900070983911 ns
21:43:28.887 TM: Giving up catch-up attempt at a 60003919992 ns lag; new total: 960074903903 ns
21:45:11.931 TM: Giving up catch-up attempt at a 60001664695 ns lag; new total: 1020076568598 ns
21:46:22.283 TM: Giving up catch-up attempt at a 60001587333 ns lag; new total: 1080078155931 ns
21:47:28.623 TM: Giving up catch-up attempt at a 60009794180 ns lag; new total: 1140087950111 ns
21:48:35.213 TM: Giving up catch-up attempt at a 60004233249 ns lag; new total: 1200092183360 ns
21:49:41.803 TM: Giving up catch-up attempt at a 60008033575 ns lag; new total: 1260100216935 ns
21:50:48.443 TM: Giving up catch-up attempt at a 60005038000 ns lag; new total: 1320105254935 ns
21:51:54.823 TM: Giving up catch-up attempt at a 60005002030 ns lag; new total: 1380110256965 ns
21:53:01.163 TM: Giving up catch-up attempt at a 60008985402 ns lag; new total: 1440119242367 ns
21:54:07.883 TM: Giving up catch-up attempt at a 60000059138 ns lag; new total: 1500119301505 ns
21:55:14.283 TM: Giving up catch-up attempt at a 60005999503 ns lag; new total: 1560125301008 ns
21:56:26.787 TM: Giving up catch-up attempt at a 60007896852 ns lag; new total: 1620133197860 ns
21:57:33.147 TM: Giving up catch-up attempt at a 60004002551 ns lag; new total: 1680137200411 ns
21:58:39.503 TM: Giving up catch-up attempt at a 60004036856 ns lag; new total: 1740141237267 ns
21:59:46.003 TM: Giving up catch-up attempt at a 60000020102 ns lag; new total: 1800141257369 ns
22:00:52.643 TM: Giving up catch-up attempt at a 60005037779 ns lag; new total: 1860146295148 ns
22:01:59.003 TM: Giving up catch-up attempt at a 60004994093 ns lag; new total: 1920151289241 ns
22:03:13.575 TM: Giving up catch-up attempt at a 60006217556 ns lag; new total: 1980157506797 ns
22:04:21.803 TM: Giving up catch-up attempt at a 60008318572 ns lag; new total: 2040165825369 ns
22:05:32.195 TM: Giving up catch-up attempt at a 60004597559 ns lag; new total: 2100170422928 ns
22:06:57.381 TM: Giving up catch-up attempt at a 60004909490 ns lag; new total: 2160175332418 ns
22:08:11.739 TM: Giving up catch-up attempt at a 60002150178 ns lag; new total: 2220177482596 ns
22:09:21.848 TM: Giving up catch-up attempt at a 60002388341 ns lag; new total: 2280179870937 ns
22:10:31.861 TM: Giving up catch-up attempt at a 60002304947 ns lag; new total: 2340182175884 ns
22:11:39.007 TM: Giving up catch-up attempt at a 60008442604 ns lag; new total: 2400190618488 ns
22:12:45.402 TM: Giving up catch-up attempt at a 60000224806 ns lag; new total: 2460190843294 ns
22:13:51.674 TM: Giving up catch-up attempt at a 60008596374 ns lag; new total: 2520199439668 ns
22:15:01.856 TM: Giving up catch-up attempt at a 60002002348 ns lag; new total: 2580201442016 ns
22:16:22.334 TM: Giving up catch-up attempt at a 60006088131 ns lag; new total: 2640207530147 ns
22:17:35.631 TM: Giving up catch-up attempt at a 60000942454 ns lag; new total: 2700208472601 ns
22:18:48.136 TM: Giving up catch-up attempt at a 60002880312 ns lag; new total: 2760211352913 ns
22:19:58.908 TM: Giving up catch-up attempt at a 60004014990 ns lag; new total: 2820215367903 ns
22:21:09.649 TM: Giving up catch-up attempt at a 60007625125 ns lag; new total: 2880222993028 ns
22:22:21.449 TM: Giving up catch-up attempt at a 60007944796 ns lag; new total: 2940230937824 ns
22:23:32.274 TM: Giving up catch-up attempt at a 60002305295 ns lag; new total: 3000233243119 ns
22:24:43.149 TM: Giving up catch-up attempt at a 60006058495 ns lag; new total: 3060239301614 ns
22:25:55.154 TM: Giving up catch-up attempt at a 60005217893 ns lag; new total: 3120244519507 ns


comment:3 Changed 5 years ago by frank

extremulus, please do not cut'n'paste log files here. There is an attach function. I'm not sure if your problem is related to the one of the original poster. Even if you assigned 1GB RAM the guest does not necessarily touch any page. Therefore the amount of used RAM will increase the longer you run the VM. For instance, if you boot Windows, most probably all the RAM you assigned to the VM will be allocated during Windows boot. Linux (and it seems FreeBSD as well) are nicer which is good for VMs as you could even allocate more RAM to the guest as available on your host as long as the guest does not use all of the memory (no, I don't suggest you to do that of course!)

comment:4 Changed 5 years ago by extremulus

My apologies, I did not see the attachment button. I have now loaded FreeBSD 7.1 Beta 2 and when I disable ACPI I see the same result as the original poster, which is to say I can see the RAM with ACPI disabled, but not otherwise. I am not sure whether the bug is in the VirtualBox BIOS, or in FreeBSD, however in working with people on the #FreeBSDhelp channel on EFNet, they see the same problem. It does not occur on VMWare nor Qemu, so it seems to be related specifically to FreeBSD and VirtualBox. If I can provide any further information, please do not hesitate to ask.

Extremulus

comment:5 Changed 5 years ago by frank

In my last comment I was about to say that I would consider this not as a bug. If I understand you correct, you wonder why your host sometimes reports much less allocated memory for the VM process than the value you actually assigned to the VM. This is not a bug but a feature: VirtualBox allocates the guest RAM on-demand, that is, not before the guest makes use of it.

comment:6 Changed 5 years ago by extremulus

Well, it seems like a bug to me. The OS only allocates 64megs of RAM no matter what applications you try to run. Additionally I have now tested FreeBSD 7.1 beta, and it will allocate all 1G, but only with ACPI disabled.

comment:7 Changed 5 years ago by frank

If the VM process does indeed not allocate more RAM regardless of the guest applications then this could be indeed a bug. This sounds like the FreeBSD guest does not fully understand our ACPI tables. Could you do some memory statistics in the FreeBSD guest (in Linux this is cat /proc/meminfo, no idea about a similar command in FreeBSD)? Please attach the output here if ACPI is enabled.

comment:8 Changed 5 years ago by lutierigb

You can use the following commands in FreeBSD to get some info about memory:

top

dmesg | grep memory

sysctl -a | grep hw.*mem

I do have the same issue, but I'm not complaing about the Host system doesn't allocate the memory specified in the guest machine's settings. But, the guest system(FreeBSD in this casse) reports less memory than specified.

Here is my ticket:  http://www.virtualbox.org/ticket/2961

comment:9 Changed 5 years ago by ni81036

  • Status changed from new to closed
  • Resolution set to fixed
  • Component changed from other to VMM/RAW
  • Summary changed from FreeBSD 7.0-RELEASE incorrect memory amount reported to FreeBSD 7.0-RELEASE incorrect memory amount reported => Fixed in SVN

Was generic problem with VM86 calls in raw mode.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use